# Evolve Front Office Scripting Utils

## Overview
This package contains helper utilities for communication between Generate and Front office apps in Inspire Evolve.

Add to project:
```
npm install @quadient/evolve-front-office-scripting-utils
```

## Table of Contents

- `DocumentsJson` type - DTO for parsing multi-document files sent from FO.
- `FrontOfficeMetadata` type - DTO for parsing metadata files sent from FO.
- `FrontOfficeTicketData` type - DTO for creating tickets in FO.
- `FrontOfficeClient` class - contains methods for sending requests to FO for creating tickets.

## Create Ticket Example

```javascript
const foClient = new FrontOfficeClient(connector);
const data = foClient.getSingleTicketData(stateId, holderType, holderValue, template);

const ticketId = await foClient.createSingleTicket(data);
```