import { FrontOfficeTicketData } from "./frontOfficeTicketData";
export declare class FrontOfficeClient {
    private readonly connector;
    constructor(connector: string);
    /**
     * Creates JSON object with mandatory parameters representing body that can be send as POST to /tickets endpoint.
     * @return JSON object
     */
    getSingleTicketData(stateId: string, holderType: string, holderValue: string, template: string): FrontOfficeTicketData;
    /**
     * Creates Front Office ticket.
     * @param data JSON object that will be given as body
     * @returns Promise of ID of created ticket.
     */
    createSingleTicket(data: FrontOfficeTicketData): Promise<string>;
    private fetchFrontOffice;
}
