export type FrontOfficeTicketData = {
    type: string;
    stateId: string;
    holder: { type: string; holder: string };
    documentData: { templateName: string; dataDefinitions?: DataDefinition[] };
    approvalProcessPath?: { value: string };
    properties?: { properties: Properties };
    contract?: { contractId?: string; contractName?: string };
    [prop: string]: unknown;
};

type DataDefinition = {
    moduleName: string;
    type: string;
    value: unknown;
};

type Properties = {
    title?: string;
    description?: string;
    icon?: string;
};
